### Hierarchy

- Pickup

## Index

### Constructors

- constructor

### Properties

- handle

### Accessors

- IsCollected
- Position

### Methods

- delete
- exists

## Constructors

### constructor

- new Pickup(handle: number): Pickup

- - Defined in Pickup.ts:6

  #### Parameters

  - ##### handle: number

  #### Returns Pickup

## Properties

### Private handle

handle: number

- Defined in Pickup.ts:4

## Accessors

### IsCollected

- get IsCollected(): boolean

- - Defined in Pickup.ts:15

  #### Returns boolean

### Position

- get Position(): Vector3

- - Defined in Pickup.ts:10

  #### Returns Vector3

## Methods

### delete

- delete(): void

- - Defined in Pickup.ts:19

  #### Returns void

### exists

- exists(): boolean

- - Defined in Pickup.ts:23

  #### Returns boolean

Generated using TypeDoc